scala.collection.jcl.Map
class Lense

[source: `scala/collection/jcl/Map.scala`]

`protected` `class` Lense[F](f : (E) => F, g : (F) => E)
  `extends` Map[K, F]

Direct Known Subclasses:
  SortedMap.Lense

Method Summary
`override def` | elements : MutableIterator[(K, F)] Creates a new iterator over all elements contained in this object.
`override def` | get (key : K) : Option[F] Check if this map maps `key` to a value and return the value if it exists.
`override def` | lense [G](f0 : (F) => G, g0 : (G) => F) : Map[K, G]
`override def` | projection : Projection returns a facade that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.
`override def` | put (key : K, elem : F) : Option[F]
`override def` | remove (key : K) : Option[F]
`override def` | size : Int Compute the number of key-to-value mappings.

Methods inherited from Map
clear, isEmpty, keySet, keys, valueSet, putAll, has, update, +, +=, -, -=

Methods inherited from Map
+=, ++=, ++=, +, ++, ++, -=, --=, --=, -, --, --, getOrElseUpdate, transform, retain, <<, clone, +=, incl, excl

Methods inherited from Map
getOrElse, apply, contains, isDefinedAt, values, equals, hashCode, toString, default

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from MutableIterable
remove, removeAll, --, -, retain, retainAll, size0

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`trait` | Projection `extends` Projection

Method Details

`override` `def` elements : MutableIterator[(K, F)]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

Overrides
  Map.elements

`override` `def` remove(key : K) : Option[F]

Overrides
  Map.remove

`override` `def` put(key : K, elem : F) : Option[F]

Overrides
  Map.put

`override` `def` get(key : K) : Option[F]

  Check if this map maps `key` to a value and return the value if it exists.

Parameters
  `key -` the key of the mapping of interest
Returns
  the value of the mapping, if it exists

Overrides
  Map.get

`override` `def` projection : Projection

  returns a facade that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Map.projection

`override` `def` lense[G](f0 : (F) => G, g0 : (G) => F) : Map[K, G]

Overrides
  Map.lense

`override` `def` size : Int

  Compute the number of key-to-value mappings.

Returns
  the number of mappings